Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm.act.provider
Class AActWrapperItemProvider

    java.lang.Object
      org.eclipse.emf.edit.provider.WrapperItemProvider
          org.eclipse.emf.edit.provider.DelegatingWrapperItemProvider
              org.metaabm.act.provider.AActWrapperItemProvider

All Implemented Interfaces:
  org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable, org.eclipse.emf.edit.provider.IEditingDomainItemProvider, org.eclipse.emf.edit.provider.IItemColorProvider, org.eclipse.emf.edit.provider.IItemFontProvider, org.eclipse.emf.edit.provider.IItemLabelProvider, org.eclipse.emf.edit.provider.IItemPropertySource, org.eclipse.emf.edit.provider.INotifyChangedListener, org.eclipse.emf.edit.provider.IStructuredItemContentProvider, org.eclipse.emf.edit.provider.ITableItemColorProvider, org.eclipse.emf.edit.provider.ITableItemFontProvider, org.eclipse.emf.edit.provider.ITableItemLabelProvider, org.eclipse.emf.edit.provider.ITreeItemContentProvider, org.eclipse.emf.edit.provider.IWrapperItemProvider

    public class AActWrapperItemProvider

extends org.eclipse.emf.edit.provider.DelegatingWrapperItemProvider

Field Summary

Fields inherited from interface org.eclipse.emf.edit.provider.IItemFontProvider
`BOLD_FONT, BOLD_ITALIC_FONT, ITALIC_FONT, NORMAL_FONT`

Fields inherited from interface org.eclipse.emf.edit.provider.IItemColorProvider
`GRAYED_OUT_COLOR`

Constructor Summary
`AActWrapperItemProvider(java.lang.Object value, java.lang.Object owner, org.eclipse.emf.ecore.EStructuralFeature feature, int index, org.eclipse.emf.common.notify.AdapterFactory adapterFactory)`

Method Summary

Methods inherited from class org.eclipse.emf.edit.provider.DelegatingWrapperItemProvider
`addListener, createCommand, dispose, fireNotifyChanged, getBackground, getBackground, getChildren, getColumnImage, getColumnText, getEditableValue, getElements, getFont, getFont, getForeground, getForeground, getImage, getNewChildDescriptors, getPropertyDescriptors, getText, hasChildren, notifyChanged, removeListener`

Methods inherited from class org.eclipse.emf.edit.provider.WrapperItemProvider
`baseCreateCommand, getFeature, getIndex, getOwner, getParent, getPropertyDescriptor, getUpdateableText, getValue, setIndex`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.edit.provider.ITreeItemContentProvider
`getParent`

Methods inherited from interface org.eclipse.emf.edit.provider.IItemPropertySource
`getPropertyDescriptor`

Methods inherited from interface org.eclipse.emf.edit.provider.IEditingDomainItemProvider
`getParent`

Constructor Detail

### AActWrapperItemProvider

    public AActWrapperItemProvider(java.lang.Object value,
                                   java.lang.Object owner,
                                   org.eclipse.emf.ecore.EStructuralFeature feature,
                                   int index,
                                   org.eclipse.emf.common.notify.AdapterFactory adapterFactory)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD